Skip to main content

Get all tracks

GET 

/api/tracks?page=:page&sort=:sortField&order=:order

Get all tracks

Request​

Path Parameters

    page integerrequired

    number of page for pagination

    sortField string

    how should the list be sorted

    order string

    Ascending or descending order

Responses​

OK

Schema

  • Array [

  • type string
    url string
    id integer
    title string
    cover string
    album string
    album_id integer
    duration integer
    track integer
    disc integer
    year integer
    explicit boolean
    genre string
    lyrics string

    artists

    Artist[]

  • Array [

  • type string
    id integer
    name string
    image string
    created_at string
  • ]

  • added_at string
  • ]

Loading...